package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.loaf.jdbc.LoafQueryFactory;
import com.ynet.life.loaf.jdbc.LoafQueryInterface;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.LinkedList;
import java.util.List;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CreditModifyJudgeAction.class */
public class CreditModifyJudgeAction extends LifeJDBCAction {
    private String iCollName;
    private String dataSource = "ebank_ds";
    private static final String ERROR_CODE_POOL = "EBLN0011";

    public String execute(Context context) throws GENEException {
        try {
            IndexedCollection icoll = context.getDataElement(this.iCollName);
            if (icoll.size() == 0) {
                return "1";
            }
            for (int j = 0; j < icoll.size(); j++) {
                KeyedCollection kcoll = icoll.getElementAt(j);
                String reqNo = (String) kcoll.getDataValue("reqNo");
                String userBranchId = (String) context.getDataValue("userBranchId");
                String creFlowNo = (String) kcoll.getDataValue("creFlowNo");
                boolean modifyFlag = true;
                String creSQL = "select FCP_CREGUATYPE FROM fsp_credit_group_szyq where FCP_CREFLOWNO = '" + creFlowNo + "'";
                try {
                    try {
                        List input = new LinkedList();
                        LoafQueryInterface creGroupQuery = LoafQueryFactory.getNewQuery("", "", creSQL);
                        try {
                            try {
                                Connection connection = LifeDBAccess.getConnection(getDataSource());
                                PreparedStatement ps = creGroupQuery.getQueryStatement(connection, input);
                                ResultSet resultSet = ps.executeQuery();
                                while (true) {
                                    if (!resultSet.next()) {
                                        break;
                                    }
                                    String finalSQL = resultSet.getString(1).equals("6") ? "SELECT COUNT(1) FROM fsp_credit_group_szyq where FCP_CREFLOWNO ='" + creFlowNo + "' AND FCP_CREGUATYPE='6' AND FCP_KKDSTT<>'0'" : "SELECT count(1) FROM fsp_loan WHERE LOA_REQNO='" + reqNo + "' AND LOA_FINANCEID='" + userBranchId + "'";
                                    PreparedStatement guaTypePs = null;
                                    ResultSet guaTypeRs = null;
                                    try {
                                        try {
                                            PreparedStatement queryStatement = LoafQueryFactory.getNewQuery("", "", finalSQL).getQueryStatement(connection, input);
                                            guaTypePs = queryStatement;
                                            ResultSet executeQuery = queryStatement.executeQuery();
                                            guaTypeRs = executeQuery;
                                            if (!executeQuery.next()) {
                                                LifeDBAccess.cleanResources(guaTypePs, guaTypeRs);
                                            } else {
                                                if (!guaTypeRs.getString(1).equals("0")) {
                                                    modifyFlag = false;
                                                    LifeDBAccess.cleanResources(guaTypePs, guaTypeRs);
                                                    break;
                                                }
                                                LifeDBAccess.cleanResources(guaTypePs, guaTypeRs);
                                            }
                                        } finally {
                                        }
                                    } catch (SQLException ex) {
                                        throw new TranFailException("EBLN0000", ex);
                                    }
                                }
                                LifeDBAccess.cleanResources(ps, resultSet);
                                LifeDBAccess.releaseConnection(getDataSource(), connection);
                                if (modifyFlag) {
                                    icoll.getElementAt(j).setDataValue("modifyFlag", "1");
                                } else {
                                    icoll.getElementAt(j).setDataValue("modifyFlag", "0");
                                }
                            } catch (Throwable th) {
                                LifeDBAccess.cleanResources((PreparedStatement) null, (ResultSet) null);
                                throw th;
                            }
                        } catch (SQLException ex2) {
                            throw new TranFailException("EBLN0000", ex2);
                        }
                    } catch (GENEException empe) {
                        Trace.logError("LOAF", empe.getMessage(), empe);
                        throw empe;
                    }
                } catch (Throwable th2) {
                    LifeDBAccess.releaseConnection(getDataSource(), (Connection) null);
                    throw th2;
                }
            }
            return "0";
        } catch (GENEException e) {
            Trace.logError("LifeAction", e.getMessage(), e);
            throw e;
        }
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }
}
